(function() {
    var scripts = document.getElementsByTagName("script"),
        baseUrl;

    for (var i = 0; i < scripts.length; i++) {
        var script = scripts[i],
            src = script && script.getAttribute("src"),
            match = src && src.match(/(.*)emf\.js/i);
        if (match) {
            baseUrl = match[1];
            break;
        }
    }

    if (baseUrl) {
        if (!"RUNNING FROM SOURCE") {
            document.write('<script type="text/javascript" src="' + baseUrl + 'dojo/dojo/dojo.js"></script>');
        } else {
            document.write('<script type="text/javascript" src="' + baseUrl + 'dojoConfig.js"></script>');
            document.write('<script type="text/javascript" data-dojo-config="baseUrl:\'' + baseUrl + 'dojo\',isDebug:true" src="' + baseUrl + 'dojo/dojo/dojo.js"></script>');
        }
    } else {
        console.error("emf.js: cannot determine baseUrl");
    }
})();
