if (!0) {
    var emfPackageLocation = esriMapsSettings.getEmfJSPath();
    dojoConfig = {
        async: true
    }
} else {
    var emfPackageLocation = esriMapsSettings.getEmfJSPath() + "src/";
    dojoConfig = {
        async: true,
        packages: [{
            name: 'dojo',
            location: '../dojo'
        }, {
            name: 'dijit',
            location: '../dijit'
        }, {
            name: 'dojox',
            location: '../dojox'
        }, {
            name: 'dgrid',
            location: '../../dgrid'
        }, {
            name: 'put-selector',
            location: '../../put-selector'
        }, {
            name: 'xstyle',
            location: '../../xstyle'
        }, {
            name: 'esri',
            location: '../../esri'
        }, {
            name: 'esri-maps',
            location: '../../esri-maps'
        }, {
            name: 'esriMaps',
            location: '../../esriMaps'
        }, {
            name: 'esriMapsX',
            location: '../../esriMapsX'
        }, {
            name: "esriMapsSharePoint",
            location: "../../../../sharePoint/esriMapsSharePoint"
        }, {
            name: "esriMapsSharePointX",
            location: "../../../../sharePoint/esriMapsSharePointX"
        }]
    }
}

var sharePointPackageLocation = esriMapsSettings.getsharePointJSPath();
var AllowSignInOverHttpProxy = esriMapsSettings.getQueryStringParameter("AllowSignInOverHttpProxy");
var ArcGISConnection = esriMapsSettings.getQueryStringParameter("ArcGISConnection");
if (!InitScriptPath) {
    var InitScriptPath = esriMapsSettings.getQueryStringParameter("InitScriptPath");
}

if (!locale) {
    var locale = esriMapsSettings.getQueryStringParameter("SPLanguage");
}

locale = locale || (typeof _spPageContextInfo !== "undefined" && _spPageContextInfo && _spPageContextInfo.currentUICultureName);
if (locale) {
    locale = locale.toLowerCase();
    dojoConfig.locale = locale;

    if ((locale.substring(0, 2) === "ar") || (locale.substring(0, 2) === "he")) {
        var htmlroot = document.getElementsByTagName("HTML");
        if ((htmlroot !== null) && (htmlroot[0] !== null)) {
            htmlroot[0].setAttribute("dir", "rtl");
        }
    }
}

(loadScript = function(urls, callback) {
    var script = document.createElement("script");
    script.type = "text/javascript";

    if (script.readyState) { //IE
        script.onreadystatechange = function() {
            if (script.readyState == "loaded" ||
                script.readyState == "complete") {
                script.onreadystatechange = null;
                if (urls.length > 1) {
                    loadScript(urls.slice(1), callback);
                } else {
                    callback();
                }
            }
        };
    } else { //Others
        script.onload = function() {
            if (urls.length > 1) {
                loadScript(urls.slice(1), callback);
            } else {
                callback();
            }
        };
    }

    script.src = urls[0];
    document.getElementsByTagName("head")[0].appendChild(script);
})([
    emfPackageLocation + "dojo/dojo/dojo.js"
], function() {
    require(!"RUN WITH PSEUDO LOCALIZATION" ? [sharePointPackageLocation + "/pseudo/pseudo_locale.js"] : [], function() {
        require(["esriMaps", "esriMapsX"], function() {
            require([
                "dojo/ready",
                "esri/config",
                "esri/IdentityManager",
                "dojo/dom-class",
                "dojo/_base/window",
                "xstyle/css!" + emfPackageLocation + "/emf.css",
                /*  loading this main.css mysteriously fixes two issues that are only reproducible under pure IE 9 (not with IE 10/11, not them with a 9 doc mode)
                    see TFS 42094: Geoenrichment panel does not show correctly and cannot get past this panel: IE9 only. 
                    and TFS 40474: Tools do not show in configure > Add tools in IE9 */
                "xstyle/css!" + emfPackageLocation + "/esri/dijit/geoenrichment/themes/common/main.css",
                "xstyle/css!" + sharePointPackageLocation + "/themes/sp.css",
                "xstyle/css!" + sharePointPackageLocation + "/themes/SharepointLayout.css",
                "esriMapsSharePoint"
            ], function(ready, esriConfig, esriId, domClass, win) {
                ready(function() {

                    //TODO: Should be handled in EMF. Critizcal showstopper when testing in production
                    esriId.useSignInPage = false;

                    domClass.add(win.body(), "esriMaps");
                    domClass.add(win.body(), "emf");

                    esriConfig.defaults.io.proxyUrl = esriMapsSettings.getQueryStringParameter("EsriMapsProxyUrl") || esriMapsSettings.esriMapsWebProxyUrl || "proxy.ashx";

                    var script = document.createElement("script");
                    script.type = "text/javascript";
                    script.src = sharePointPackageLocation + "/" + InitScriptPath;
                    document.getElementsByTagName("head")[0].appendChild(script);
                });
            });
        });
    });    
});